# $Revision: 1.24 $, $Date: 2002/07/23 08:58:55 $
%include	/usr/lib/rpm/macros.perl
Summary:	Msql-Mysql-modules perl module
Summary(pl):	Modu perla Msql-Mysql-modules
Name:		perl-Msql-Mysql-modules
Version:	1.2219
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/DBD/Msql-Mysql-modules-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildRequires:	perl >= 5.6
BuildRequires:	perl-DBI >= 1.08
BuildRequires:	perl-Data-ShowTable
BuildRequires:	mysql-devel >= 3.23
BuildRequires:	zlib-devel
Obsoletes:	perl-DBD-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Msql-Mysql-modules package. This package is configured for use with
MySQL only and doesn't contain drivers for mSQL databases.

%description -l pl
Pakiet Msql-Mysql-modules. Ten pakiet jest skonfigurowany do uytku z
MySQL i nie zawiera sterownikw dla baz danych mSQL.

%prep
%setup -q -n Msql-Mysql-modules-%{version}

%build
perl Makefile.PL \
	--nomsql-install \
	--noprompt

%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/dbimon
%{perl_sitearch}/DBD/mysql.pm
%{perl_sitearch}/Mysql.pm
%{perl_sitearch}/Mysql
%dir %{perl_sitearch}/auto/DBD/mysql
%{perl_sitearch}/auto/DBD/mysql/mysql.bs
%attr(755,root,root) %{perl_sitearch}/auto/DBD/mysql/mysql.so
%{_mandir}/man1/*
%{_mandir}/man3/DBD*
%{_mandir}/man3/Mysql*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Msql-Mysql-modules.spec,v $
Revision 1.24  2002/07/23 08:58:55  ankry
- Obsoletes: perl-DBD-mysql
- fixed module/package name, some other cleaning
- new %%doc
- added %%{perl_sitearch}/auto/DBD/mysql dir
- release 2

Revision 1.23  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/10 15:29:40  depesz
adapterized

Revision 1.19  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/27 16:43:59  mis
- autoupdated to 1.2219

Revision 1.17  2001/09/18 15:24:07  qboosh
- release 3: removed Bundle::* - we use rpm dependencies

Revision 1.16  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/04/17 12:13:08  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/04/10 19:34:33  mis
- autoupdated to 1.2216

Revision 1.12  2001/02/16 06:25:25  kloczek
- release 3: rebuild against mysql 3.23.

Revision 1.11  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2001/01/19 02:57:16  kloczek
- do not include .packlist in %files,
- spec adapterized,
- make spec %%{debug} ready.

Revision 1.9  2001/01/13 00:51:52  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/10/11 06:30:12  depesz
najnowsze wersje.
